#ifndef __SYSTEM_H_INCLUDED_SW__
#define __SYSTEM_H_INCLUDED_SW__

/** \file system.h
 * \brief Does one platform \#define and \#undef-ine all other platform defines.
    \author Stefan Weisse / DESY 
	\date   2008
  
	In order to tie to a special platform, a general include file named "system.h" needs to be created inside the
	project. These file should not include much, but just \#define the desired platform type and \#undef all other 
	defined platform types. It is only needed for proper branching inside platform.h.

	The currently supported defines are SYSTEM_WINDOWS_VC6, SYSTEM_WINDOWS_VS2005 and SYSTEM_LINUX.
*/

#define SYSTEM_WINDOWS_VS2015_X64

#undef SYSTEM_WINDOWS_VS2010_X86


//! \def SYSTEM_WINDOWS_VC6 
//! defines platform Win32 using Microsoft Visual C++ 6 SP5 or 6 compiler
#undef SYSTEM_WINDOWS_VC6

//! \def SYSTEM_WINDOWS_VS2005
//! defines platform Win32 using Microsoft Visual C++ 2005 SP1 or better compiler, undefined here
#undef SYSTEM_WINDOWS_VS2005

//! \def SYSTEM_LINUX
//! defines platform Linux using gcc compiler, undefined here
#undef SYSTEM_LINUX

#endif // __SYSTEM_H_INCLUDED_SW__
